summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-11-27 00:43:04 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-11-27 00:43:04 +0100
commitdb40ed98b297d0550c6971b096c87bf0debf59b1 (patch)
tree39bb950b98c4ca6292ce2850cd889c9ca1fd9eb6 /scripts
parent45805efcda653a3e6d7577ac2956c8138b49c7fc (diff)
parent83e2707a887a4c495a42f7e59f9f332df6b759ab (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index aff3f61f8..124355161 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -24,6 +24,14 @@ out=0
. $topdir/.config
if [[ -n $ADK_NATIVE ]];then
+ if [[ -n $ADK_PACKAGE_LIBIMAGEMAGICK ]];then
+ NEED_JPEGDEV="$NEED_JPEGDEV libimagemagick"
+ NEED_TIFFDEV="$NEED_TIFFDEV libimagemagick"
+ fi
+ if [[ -n $ADK_PACKAGE_DISPLAY ]];then
+ NEED_X11DEV="$NEED_X11DEV display"
+ NEED_XEXTDEV="$NEED_XEXTDEV display"
+ fi
if [[ -n $ADK_PACKAGE_GIT ]];then
NEED_CURLDEV="$NEED_CURLDEV git"
fi
@@ -134,6 +142,34 @@ if [[ -n $NEED_CURLDEV ]];then
fi
fi
+if [[ -n $NEED_TIFFDEV ]];then
+ if ! test -f /usr/include/tiff.h >/dev/null; then
+ echo >&2 You need tiff headers to build $NEED_TIFFDEV
+ out=1
+ fi
+fi
+
+if [[ -n $NEED_JPEGDEV ]];then
+ if ! test -f /usr/include/jpeglib.h >/dev/null; then
+ echo >&2 You need jpeg headers to build $NEED_JPEGDEV
+ out=1
+ fi
+fi
+
+if [[ -n $NEED_X11DEV ]];then
+ if ! test -f /usr/include/X11/Xlib.h >/dev/null; then
+ echo >&2 You need X11 headers to build $NEED_X11DEV
+ out=1
+ fi
+fi
+
+if [[ -n $NEED_XEXTDEV ]];then
+ if ! test -f /usr/include/X11/extensions/XShm.h >/dev/null; then
+ echo >&2 You need X11 extensions headers to build $NEED_XEXTDEV
+ out=1
+ fi
+fi
+
#if [[ -n $NEED_SSLDEV ]]; then
# if ! test -f /usr/lib/pkgconfig/openssl.pc >/dev/null; then
# if ! test -f /usr/include/openssl/ssl.h >/dev/null; then